claw::graphic::pcx::writer::file_output_buffer Class Reference

The type of the output buffer associated with the file when encoding RLE data. More...

`#include <pcx.hpp>`

## Public Types

typedef u_int_8 | pattern_type
| The typ of the output patterns.

## Public Member Functions

| file_output_buffer (std::ostream &os)
| Constructor.
void | encode (unsigned int n, pattern_type pattern)
| Encode a pixel data.
template<typename Iterator>
void | raw (Iterator first, Iterator last)
unsigned int | min_interesting () const
| Get the minimum number of pixels needed for encoding.
unsigned int | max_encodable () const
| Get the maximum number of pixel a code can encode.

## Detailed Description

The type of the output buffer associated with the file when encoding RLE data.

Definition at line 311 of file pcx.hpp.

## Member Typedef Documentation

## pattern_type

typedef u_int_8 claw::graphic::pcx::writer::file_output_buffer::pattern_type

The typ of the output patterns.

Definition at line 315 of file pcx.hpp.

## Constructor & Destructor Documentation

## file_output_buffer()

claw::graphic::pcx::writer::file_output_buffer::file_output_buffer | ( | std::ostream & | os | ) |

Constructor.

Parameters

  os | The stream in which we write the encoded data.

Definition at line 37 of file pcx_writer.cpp.

## Member Function Documentation

## encode()

void claw::graphic::pcx::writer::file_output_buffer::encode | ( | unsigned int | n,
|  | pattern_type | pattern )

Encode a pixel data.

Parameters

  n | The number of time the pixel appears.
  pattern | The data of the pixel.

Definition at line 50 of file pcx_writer.cpp.

## max_encodable()

unsigned int claw::graphic::pcx::writer::file_output_buffer::max_encodable | ( |  | ) | const

Get the maximum number of pixel a code can encode.

Definition at line 77 of file pcx_writer.cpp.

## min_interesting()

unsigned int claw::graphic::pcx::writer::file_output_buffer::min_interesting | ( |  | ) | const

Get the minimum number of pixels needed for encoding.

Definition at line 67 of file pcx_writer.cpp.

The documentation for this class was generated from the following files:

- pcx.hpp
- code/pcx_writer.cpp